package org.gyk.modules.sssj.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.gyk.modules.sssj.entity.CxcRsjQijing;

import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * @Description: 气井日数据
 * @Author: jeecg-boot
 * @Date:   2021-08-18
 * @Version: V1.0
 */
public interface ICxcRsjQijingService extends IService<CxcRsjQijing> {
    List<Map<String,Object>> getYMDataByjh(String jh);

    //更新气井日数据月累
    void updateYlj(Date date);
    //    更新气井日数据年累
    void updateNlj(Date date);
}
